diff a/src/hotspot/share/runtime/arguments.hpp b/src/hotspot/share/runtime/arguments.hpp
--- a/src/hotspot/share/runtime/arguments.hpp
+++ b/src/hotspot/share/runtime/arguments.hpp
@@ -304,10 +304,15 @@
   static bool process_argument(const char* arg, jboolean ignore_unrecognized, JVMFlagOrigin origin);
   static void process_java_launcher_argument(const char*, void*);
   static jint parse_options_environment_variable(const char* name, ScopedVMInitArgs* vm_args);
   static jint parse_java_tool_options_environment_variable(ScopedVMInitArgs* vm_args);
   static jint parse_java_options_environment_variable(ScopedVMInitArgs* vm_args);
+  static jint parse_aot_tool_options_environment_variable(const JavaVMInitArgs *vm_options_args,
+                                                          const JavaVMInitArgs *java_tool_options_args,
+                                                          const JavaVMInitArgs *cmd_line_args,
+                                                          const JavaVMInitArgs *java_options_args,
+                                                          ScopedVMInitArgs* aot_tool_options_args);
   static jint parse_vm_options_file(const char* file_name, ScopedVMInitArgs* vm_args);
   static jint parse_options_buffer(const char* name, char* buffer, const size_t buf_len, ScopedVMInitArgs* vm_args);
   static jint parse_xss(const JavaVMOption* option, const char* tail, intx* out_ThreadStackSize);
   static jint insert_vm_options_file(const JavaVMInitArgs* args,
                                      const char* vm_options_file,
@@ -321,14 +326,15 @@
   static jint match_special_option_and_act(const JavaVMInitArgs* args,
                                            ScopedVMInitArgs* args_out);
 
   static bool handle_deprecated_print_gc_flags();
 
-  static jint parse_vm_init_args(const JavaVMInitArgs *vm_options_args,
-                                 const JavaVMInitArgs *java_tool_options_args,
-                                 const JavaVMInitArgs *java_options_args,
-                                 const JavaVMInitArgs *cmd_line_args);
+  static jint parse_vm_init_args(const JavaVMInitArgs* vm_options_args,
+                                 const JavaVMInitArgs* java_tool_options_args,
+                                 const JavaVMInitArgs* cmd_line_args,
+                                 const JavaVMInitArgs* java_options_args,
+                                 const JavaVMInitArgs* aot_tool_options_args);
   static jint parse_each_vm_init_arg(const JavaVMInitArgs* args, JVMFlagOrigin origin);
   static jint finalize_vm_init_args();
   static bool is_bad_option(const JavaVMOption* option, jboolean ignore, const char* option_type);
 
   static bool is_bad_option(const JavaVMOption* option, jboolean ignore) {
